package com.elitesland.core.constant;

/**
 * <p>
 * redis key 常量
 * </p>
 *
 * @author Mir
 * @date 2019-05-23
 **/
public interface CommonRedisKey {

    /**
     * 登录用户token信息key
     */
    String LOGIN_TOKEN = "login:token:%s";

    /**
     * 登录用户信息key
     */
    String LOGIN_USER = "login:user:%s";

    /**
     * 登录用户盐值信息key
     */
    String LOGIN_SALT = "login:salt:%s";

    /**
     * 登录用户username token
     */
    String LOGIN_USER_TOKEN = "login:user:token:%s:%s";

    /**
     * 验证码
     */
    String VERIFY_CODE = "verify.code:%s";
}
