package com.elitesland.core.exception;


import org.springframework.security.core.AuthenticationException;

/**
 * <p>
 * JWT Token验证失败的异常
 * </p>
 *
 * @author Mir
 * @date 2020/7/4
 */
public class BadJwtTokenException extends AuthenticationException {

    private static final long serialVersionUID = 7542672984694936118L;

    public BadJwtTokenException(String msg) {
        super(msg);
    }
}
