package com.elitesland.system.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/7/10
 */
@Data
@ApiModel("权限-菜单、操作的更新信息对象")
public class SysPermissionUpdateParam implements Serializable {

    private static final long serialVersionUID = 2260563011064291483L;

    @ApiModelProperty("权限ID")
    Long id;

    @ApiModelProperty("权限代码")
    String code;

    @ApiModelProperty("权限名称")
    String name;

    @ApiModelProperty("权限路径模板")
    String pattern;

    @ApiModelProperty("权限路径HTTP方法")
    String httpMethod;
}
