package com.elitesland.system.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/7/18
 */
@Data
@ApiModel("角色信息请求对象")
public class SysRoleNewParam implements Serializable {
    private static final long serialVersionUID = -307489899442704907L;

    @ApiModelProperty(value = "角色代码")
    String code;

    @ApiModelProperty(value = "角色名称")
    String name;

    @ApiModelProperty(value = "是否启用")
    Boolean enabled;

    @ApiModelProperty("权限ID，包括菜单和能力")
    List<Long> permIds;
}
