package com.elitesland.system.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/7/9
 */
@Data
@ApiModel("用户启用状态修改请求参数")
public class SysRoleUpdateParam {

    @ApiModelProperty("角色ID")
    Long id;

    @ApiModelProperty("角色码")
    String code;

    @ApiModelProperty("角色名称")
    String name;

    @ApiModelProperty("是否启用")
    Boolean enabled;

    @ApiModelProperty("权限ID，包括菜单和能力")
    List<Long> permIds;
}
