package com.elitesland.system.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/7/18
 */
@Data
@Accessors(chain = true)
@ApiModel("用户账号更新对象")
public class SysUserUpdateParam {

    @ApiModelProperty(value = "用户ID")
    Long id;

    @ApiModelProperty(value = "用户姓氏")
    String lastName;

    @ApiModelProperty(value = "用户名称")
    String firstName;

    @ApiModelProperty(value = "用户手机号码")
    String mobile;

    @ApiModelProperty(value = "用户邮箱地址")
    String email;

    @ApiModelProperty(value = "用户账号密码")
    String password;

    @ApiModelProperty(value = "是否启动")
    Boolean enabled;

    @ApiModelProperty("角色ID列表")
    List<Long> roleIds;
}
