package com.elitesland.system.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/7/9
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("角色查询条件对象")
public class SysRoleQueryParam extends AbstractOrderQueryParam {

    private static final long serialVersionUID = 3270592212164303689L;

    @ApiModelProperty("角色代码")
    String code;

    @ApiModelProperty("角色名称")
    String name;

    @ApiModelProperty("角色启用状态")
    Boolean enabled;
}
