package com.elitesland.system.repo;

import com.elitesland.system.entity.SysRoleDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

/**
 * <pre>
 * 系统角色表JPA+QueryDSL访问封装
 * </pre>
 *
 * @author Mir
 * @date 2020/6/15
 */
@Repository
public interface SysRoleRepo extends JpaRepository<SysRoleDO, Long>, QuerydslPredicateExecutor<SysRoleDO> {
}
