package com.elitesland.system.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 功能说明
 * </p>
 *
 * @author Mir
 * @date 2020/6/28
 */
@Data
@Accessors(chain = true)
@ApiModel("用于下拉选择的分类码集合项")
public class CatCodeComboVo implements Serializable {

    private static final long serialVersionUID = -3389966849168373797L;

    @ApiModelProperty(value = "系统码")
    private String sys;

    @ApiModelProperty(value = "模块码")
    private String mode;

    @ApiModelProperty(value = "分类键值")
    private String keycode;

    @ApiModelProperty(value = "分类描述")
    private String description;
}
