package com.elitesland.system.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/7/6
 */
@Data
@Accessors(chain = true)
@ApiModel("角色对应的菜单和操作权限ID集合")
public class RoleIdWithPermIdsVO {

    @ApiModelProperty("角色ID")
    @JsonSerialize(using = ToStringSerializer.class)
    Long roleId;

    @ApiModelProperty("菜单和")
    List<Long> permIds;
}
