package com.elitesland.system.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 功能说明
 * </p>
 *
 * @author Mir
 * @date 2020/6/28
 */
@Data
@Accessors(chain = true)
@ApiModel("用于下拉选择的分类码集合项")
public class SysUdcComboVO implements Serializable {

    private static final long serialVersionUID = -3389966849168373797L;

    @ApiModelProperty(value = "领域码")
    private String domainCode;

    @ApiModelProperty(value = "分类码")
    private String udcCode;

    @ApiModelProperty(value = "分类码值")
    private String udcVal;

    @ApiModelProperty(value = "值描述")
    private String valDesc;

    @ApiModelProperty("ES1扩展字段")
    String es1;
}
